Чому Java, Silverlight, Adobe Acrobat та інші плагіни більше не працюють?

Починаючи з Firefox версії 52 (яка вийшла у березні 2017 року), встановлені NPAPI-плагіни більше не підтримуються Firefox, за виключенням Adobe Flash. Серед цих плагінів, навіть якщо вони були встановлені на вашому комп'ютері, ‒ Java, Microsoft Silverlight та Adobe Acrobat. Подробиці у цьому документі.

Протягом останніх років Firefox впровадив різноманітні прикладні програмні інтерфейси, які дозволяють веб-сторінкам виконувати ті самі функції, що виконувалися раніше за допомогою плагінів, то ж ви, напевне, не помітите жодної різниці у роботі вашого браузера.

Чому так сталося?

В Інтернеті існує безліч сайтів, що не обмежуються статичними сторінками, а інтегрують відео, звук та ігри. NPAPI-плагіни, принаймні Flash, забезпечують роботу інтерактивних сторінок. На жаль, вони також уповільнюють роботу вашого браузера, знижують безпеку та підвищують вірогідність збоїв.

Firefox впродовж останніх років розробляє заміну для цих плагінів, під назвою Web APIs або прикладні програмні інтерфейси для Web. Вони створені таким чином, щоб виконувати ті самі функції, що й плагіни, не впливаючи при цьому на безпечність, стабільність та швидкодію вашого браузера.

Раніше Web APIs не були повністю допрацьовані, тому Firefox розпочав міграцію з активації плагінів вручну.

Наразі розробку завершено і чимало сайтів вже інтегрували Web APIs, отже ви можете відвідувати свої улюблені інтернет-сторінки, не користуючись старими та ненадійними плагінами. Firefox приєднується до інших сучасних браузерів, як-от Google Chrome або Microsoft Edge, що припинили підтримку NPAPI плагінів.

У мене виникли проблеми

Якщо ви не готові до змін, ESR версія (Extended Support Release) Firefox 52 продовжує підтримку традиційних плагінів до початку 2018 року. Клацніть тут, щоб завантажити Firefox ESR.

Важлива інформація: 64-розрядна версія Firefox 52 ESR для Windows підтримує тільки плагіни Adobe Flash та Microsoft Silverlight. Якщо вам потрібна підримка Java або інших встановлених плагінів, то завантажте 32-розрядну версію.

Типово, Firefox 52 ESR використовує ту ж саму особисту інформацію, що й інші версії Firefox. Встановлення Firefox 52 ESR після Firefox 55 або новішого може викликати проблеми, як-от втрата історії перегляду, повідомлення про помилку, збої у роботі Firefox та труднощі при відвідуванні деяких сайтів. У цьому випадку створіть новий профіль для використання з Firefox 52 ESR, або ж відновіть Firefox після встановлення Firefox 52 ESR.
// Цю статтю допомогли написати такі гарні люди:Богданцев Сергій, Lobodzets, Iryna Klionava. Ви теж можете допомогти - дізнайтесь як.

Ця стаття допомогла? Зачекайте...

Стати волонтером Підтримки Mozilla